#include "stdafx.h"
#include "Utility.h"
#include "stdio.h"
#include "tchar.h"


CUtility::CUtility()
{
}

CUtility::~CUtility()
{
}

ns1__CardInfoType* CUtility::GetSoapData(std::string strCardID, std::string strCardType)
{
	ns1__CardInfoType* pCardType = new ns1__CardInfoType();
	pCardType->ReaderName	= "OEM-HF-M3O";
	pCardType->CardType		= strCardType;
	pCardType->CardUID	= strCardID;

	USES_CONVERSION;
	CString strTime = _T("");
	CTime clsTime = CTime::GetCurrentTime();
	strTime.Format(_T("%02d.%02d.%04d %02d:%02d"), clsTime.GetDay(), clsTime.GetMonth(), clsTime.GetYear(), clsTime.GetHour(), clsTime.GetMinute());
	pCardType->Time = T2A((LPCTSTR)strTime);

	return pCardType;
}


